### Method

# FwupdPlugin Device uninhibit

since: 1.6.0

#### Declaration [src]

    void
    fu_device_uninhibit (
      FuDevice* self,
      const gchar* inhibit_id
    )

#### Description [src]

Allow the device from being updated if there are no other inhibitors, changing it from `FWUPD_DEVICE_FLAG_UPDATABLE_HIDDEN` to `FWUPD_DEVICE_FLAG_UPDATABLE`.

If the device already has no inhibit with the `inhibit_id` then the request is ignored.

Available since: 1.6.0

#### Parameters

`inhibit_id`

  Type: `const gchar*`

  An ID used for uninhibiting, e.g. `low-power`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.